#!/bin/bash

set -u
set -e

USAGESTR="Usage: $0 TRAINDIR TESTDIR [ARGS]"

# parameter values to test
C2_VALUES='2**{5..-10..-1}'
B_VALUES='B-*:{-5..5..0.5}'

if [ $# -lt 2 ]; then
    echo $USAGESTR
    exit 1
fi

TRAINDIR=$1
TESTDIR=$2
shift 2;

EVALCMD="./anatomytagger eval"

$EVALCMD -c2 "$C2_VALUES" -b "$B_VALUES" $@ $TRAINDIR -t $TESTDIR
